-----------------------------------------------------------------------------
-- |
-- Module      :  ForSyDe.Shallow.Utility
-- Copyright   :  (c) ForSyDe Group, KTH 2007-2008
-- License     :  BSD-style (see the file LICENSE)
-- 
-- Maintainer  :  forsyde-dev@ict.kth.se
-- Stability   :  experimental
-- Portability :  portable
--
-- The ForSyDeUtilityLib is a container including all libraries that
-- are related to the ForSyDe shallow-embedded implementation and
-- either extend the ForSyDe MoC libraries or add additional
-- functionality to ForSyDe.
-----------------------------------------------------------------------------
module ForSyDe.Shallow.Utility (  
  module ForSyDe.Shallow.Utility.DFT,    
  module ForSyDe.Shallow.Utility.Memory,
  module ForSyDe.Shallow.Utility.Queue,
  module ForSyDe.Shallow.Utility.Matrix
  --module ForSyDe.Shallow.Utility.BitVector,
  --module ForSyDe.Shallow.Utility.FilterLib,
  --module ForSyDe.Shallow.Utility.Gaussian,
  --module ForSyDe.Shallow.Utility.PolyArith,
  --module ForSyDe.Shallow.MoC.Synchronous.Stochastic
  ) where

import ForSyDe.Shallow.Utility.DFT      
import ForSyDe.Shallow.Utility.Memory
import ForSyDe.Shallow.Utility.Queue
import ForSyDe.Shallow.Utility.Matrix
--import ForSyDe.Shallow.Utility.BitVector
--import ForSyDe.Shallow.Utility.FilterLib
--import ForSyDe.Shallow.Utility.Gaussian
--import ForSyDe.Shallow.Utility.PolyArith
--import ForSyDe.Shallow.MoC.Synchronous.Stochastic


